<?php

namespace Wechat\ServiceProvider;

use Illuminate\Support\ServiceProvider;
use Wechat\Work\Miniprogram;
use Wechat\Work\Work;

class WechatServiceProvider extends ServiceProvider
{

    public function boot()
    {
    }

    protected function setupConfig()
    {
        $source = realpath(dirname(__DIR__) . '/../../config/wx.php');

//        if ($this->app instanceof LaravelApplication && $this->app->runningInConsole()) {
//            $this->publishes([$source => config_path('wx.php')], 'wx');
//        } elseif ($this->app instanceof LumenApplication) {
        $this->app->configure('wx');
//        }
//
        $this->mergeConfigFrom($source, 'wx');
    }

    public function register()
    {
        $this->setupConfig();
        $config = config('wx');


        $this->app->singleton('wx.work', function () use ($config) {
            return new Work($config['work']);
        });

//        if (isset($config['work'])) {
//
//            foreach ($config['work']['secrets'] as $key => $item) {
//                $this->app->singleton('wx.work.' . $key, function () use ($key) {
//                    $class = ucwords($key);
//                    return new $class;
//                });
//            }
//
//        }

    }
}