<?php

namespace App\Wechat;

use App\Wechat\Work\Base;

class ExternalContact extends Base
{
    public function __construct()
    {
        parent::__construct();
    }

    public function list($uid)
    {
        $request = $this->transformForJsonRequest('GET', 'crm/get_external_contact_list?userid='.$uid);
        $resp = $this->client->send($request);
        return json_decode($resp->getBody(), true);
    }

    public function detail($uid){
        $request = $this->transformForJsonRequest('GET', 'crm/get_external_contact?external_userid='.$uid);
        $resp = $this->client->send($request);
        return json_decode($resp->getBody(), true);
    }

}