<?php

namespace Wechat\Work\Message;

use Wechat\Work\Message\MessageInterface;

class MiniProgramMessage extends MessageInterface
{

    public function __construct()
    {
        $this->type = self::TYPE_MINI_PROGRAM_NOTICE;
    }

    public function appid($val)
    {
        $this->attr['appid'] = $val;
        return $this;
    }

    public function page($val)
    {
        $this->attr['page'] = $val;
        return $this;
    }

    public function title($id)
    {
        $this->attr['title'] = $id;
        return $this;
    }

    public function description($id)
    {
        $this->attr['description'] = $id;
        return $this;
    }

    public function emphasisFirstItem($id)
    {
        $this->attr['emphasis_first_item'] = $id;
        return $this;
    }

    public function contentItem($id)
    {
        $this->attr['content_item'] = $id;
        return $this;
    }


}