<?php

namespace Wechat\Work\Message;

use Wechat\Work\Message\MessageInterface;

class TextCardMessage extends MessageInterface
{
    
    public function __construct()
    {
        $this->type = self::TYPE_TEXT_CARD;
    }

    public function title($title)
    {
        $this->attr['title'] = $title;
        return $this;
    }

    public function desc($desc)
    {
        $this->attr['description'] = $desc;
        return $this;
    }

    public function button($text)
    {
        $this->attr['btntxt'] = $text;
        return $this;
    }

    public function url($url)
    {
        $this->attr['url'] = $url;
        return $this;
    }

}